MD5

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.utilities.crypto
Class MD5

    java.lang.Object
      com.fenalco.utilities.crypto.MD5

    public class MD5

extends java.lang.Object

Field Summary
`(package private) java.lang.String` | `hex_chr`

Constructor Summary
`MD5()`

Method Summary
`private int` | `add(int x, int y)`
`java.lang.String` | `calcMD5(java.lang.String str)`
`private int` | `cmn(int q, int a, int b, int x, int s, int t)`
`private int` | `ff(int a, int b, int c, int d, int x, int s, int t)`
`private int` | `gg(int a, int b, int c, int d, int x, int s, int t)`
`private int` | `hh(int a, int b, int c, int d, int x, int s, int t)`
`private int` | `ii(int a, int b, int c, int d, int x, int s, int t)`
`private java.lang.String` | `rhex(int num)`
`private int` | `rol(int num, int cnt)`
`private int[]` | `str2blks_MD5(java.lang.String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hex_chr

    java.lang.String hex_chr

Constructor Detail

### MD5

    public MD5()

Method Detail

### rhex

    private java.lang.String rhex(int num)

### str2blks_MD5

    private int[] str2blks_MD5(java.lang.String str)

### add

    private int add(int x,
                    int y)

### rol

    private int rol(int num,
                    int cnt)

### cmn

    private int cmn(int q,
                    int a,
                    int b,
                    int x,
                    int s,
                    int t)

### ff

    private int ff(int a,
                   int b,
                   int c,
                   int d,
                   int x,
                   int s,
                   int t)

### gg

    private int gg(int a,
                   int b,
                   int c,
                   int d,
                   int x,
                   int s,
                   int t)

### hh

    private int hh(int a,
                   int b,
                   int c,
                   int d,
                   int x,
                   int s,
                   int t)

### ii

    private int ii(int a,
                   int b,
                   int c,
                   int d,
                   int x,
                   int s,
                   int t)

### calcMD5

    public java.lang.String calcMD5(java.lang.String str)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD